import java.util.Scanner;
public class Prijatelji {
    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        int m;
        int n;
        int s=0;
        int t=0;
        m=in.nextInt();
        n=in.nextInt();
        int b[]=new int[m];
        int pr[]=new int[m];
        for(int i=0;i<m;i++){
            b[i]=in.nextInt();
        }
        int r[][]=new int[n][2];
        for(int p=0;p<n;p++){
        for(int i=0;i<2;i++){
            r[p][i]=in.nextInt();
        }
        }
        for(int a=0;a<m;a++){
             for(int p=0;p<n;p++){
                if(a+1==r[p][0]){
                    if(b[r[p][0]-1]>0){
                         if(b[r[p][1]-1]>0){
                         pr[a]=pr[a]+1;
                          }
                         else if(b[r[p][1]-1]<0){
                         pr[a]=pr[a]-1;
                         }
                    }
                    else if(b[r[p][0]-1]<0){
                        if(b[r[p][1]-1]>0){
                         pr[a]=pr[a]-1;
                          }
                         else if(b[r[p][1]-1]<0){
                         pr[a]=pr[a]+1;
                         }
                    }
                }
                else if(a+1==r[p][1]){
                    if(b[r[p][1]-1]>0){
                        if(b[r[p][0]-1]>0){
                        pr[a]= pr[a]+1;
                        }
                        else if(b[r[p][0]-1]<0){
                        pr[a]= pr[a]-1;
                        }
                    }
                    else if(b[r[p][1]-1]<0){
                        if(b[r[p][0]-1]>0){
                         pr[a]=pr[a]-1;
                          System.out.println(pr[a]);
                         }
                         else if(b[r[p][0]-1]<0){
                         pr[a]=pr[a]+1;
                         }
                    }
                }
             }
        }
        for(int i=0;i<m;i++){
            t=b[i]*pr[i];
            s=s+t;
        }
        System.out.println(s);
    }
}